#ifndef CGEN2PASSDIALOG_H
#define CGEN2PASSDIALOG_H

#include <QDialog>
#include <ui_CGen2PassDialog.h>

class CGen2PassDialog : public QDialog
{
    Q_OBJECT

public:
    CGen2PassDialog(QWidget *parent = 0);
    ~CGen2PassDialog();

public slots:
    int exec(QString text, QByteArray &passw);

    void tryAccept();


private:
    Ui::CGen2PassDialogClass ui;

    QByteArray m_passw;
};

#endif // CGEN2PASSDIALOG_H
